Skip to main content
`Ctrl`+`K`

# PetscMatlabEngineCreate

Creates a MATLAB engine object

## Synopsis

    #include "petscmatlab.h"
    PetscErrorCode PetscMatlabEngineCreate(MPI_Comm comm, const char host[], PetscMatlabEngine *mengine)

Not Collective

## Input Parameters

- comm - a separate MATLAB engine is started for each process in the communicator

- host - name of machine where MATLAB engine is to be run (usually NULL)

## Output Parameter

- mengine - the resulting object

## Options Database Keys

- -matlab_engine_graphics - allow the MATLAB engine to display graphics

- -matlab_engine_host - hostname, machine to run the MATLAB engine on

- -info - print out all requests to MATLAB and all if its responses (for debugging)

## Notes

If a host string is passed in, any MATLAB scripts that need to run in the engine must be available via MATLABPATH on that machine.

One must `./configure` PETSc with `--with-matlab [-with-matlab-dir=matlab_root_directory]` to use this capability

## See Also

`PetscMatlabEngineDestroy()`, `PetscMatlabEnginePut()`, `PetscMatlabEngineGet()`, `PetscMatlabEngineEvaluate()`, `PetscMatlabEngineGetOutput()`, `PetscMatlabEnginePrintOutput()`, `PETSC_MATLAB_ENGINE_()`, `PetscMatlabEnginePutArray()`, `PetscMatlabEngineGetArray()`, `PetscMatlabEngine`

## Level

advanced

## Location

src/sys/classes/matlabengine/matlab.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages